# -*- coding: utf-8 -*-
import velamentum.dateien.Datei
from velamentum.multimedia.Recorder import Recorder
from velamentum.android import *

class BildRecorder(Recorder):
    """Die Klasse BildRecorder dient der Aufnahme von Bilddaten in eine Datei.
    
    Attribute:
        --- von 'Recorder' geerbte ---
    """

    def __init__(self, pDatei=velamentum.dateien.Datei.Datei("/sdcard/aufnahme.jpg")):
        """Konstruktor. Initialisiert den BildRecorder.
        
        Parameter:
            [optional] pDatei (Datei): Datei, in der die Aufnahme gespeichert
                werden soll [Standardwert: Datei mit Pfad '/scard/aufnahme.jpg'].
        """
        Recorder.__init__(self, pDatei)

    def aufnehmen(self):
        """Auftrag. Macht ein Foto und speichert es in der angegebenen Datei. 
        
        HINWEIS: Die angegebene Datei wird überschrieben.
        
        Parameter 
            --- keine ---
        """
        androide.cameraCapturePicture(self.datei.nennePfad())
    
    def stoppen(self):
        """Auftrag. Dummy. Für Fotos nutzlos.
        
        Parameter 
            --- keine ---
        """
        pass
        
    def aufnehmenInteraktiv(self):
        """Auftrag. Startet eine interaktive Aufnahme. Der Benutzer erhält die
        Möglichkeit die Aufnahme interaktiv zu starten und zu stoppen. Dazu wird
        auf die Standard-Kamera-App zurückgegriffen.
        
        HINWEIS: Die angegebene Datei wird überschrieben.
        
        Parameter:
            --- keine ---
        """
        androide.cameraInteractiveCapturePicture(self.datei.nennePfad())

