# -*- coding: utf-8 -*-
import velamentum.dateien.Datei
from velamentum.multimedia.Recorder import Recorder
from velamentum.android import *

class VideoRecorder(Recorder):
    """Die Klasse VideoRecorder dient der Aufnahme von Videodaten in eine Datei.
    
    Attribute:
        --- von 'Recorder' geerbte ---
    """

    def __init__(self, pDatei=velamentum.dateien.Datei.Datei("/sdcard/aufnahme.mp4")):
        """Konstruktor. Initialisiert den VideoRecorder.
        
        Parameter:
            [optional] pDatei (Datei): Datei, in der die Aufnahme gespeichert
                werden soll [Standardwert: Datei mit Pfad '/scard/aufnahme.m4a'].
        """
        Recorder.__init__(self, pDatei)

    def aufnehmen(self):
        """Auftrag. Startet die Aufnahme der Multimediadaten. 
        
        HINWEIS: Die angegebene Datei wird überschrieben.
        
        Parameter 
            --- keine ---
        """
        Recorder.aufnehmen(self)
        androide.recorderCaptureVideo(self.datei.nennePfad())
    
    def stoppen(self):
        """Auftrag. Stoppt die Aufnahme der Multimediadaten.
        
        Parameter 
            --- keine ---
        """
        Recorder.stoppen(self)
        androide.recorderStop()
        
    def aufnehmenInteraktiv(self):
        """Auftrag. Startet eine interaktive Aufnahme. Der Benutzer erhält die
        Möglichkeit die Aufnahme interaktiv zu starten und zu stoppen. Dazu wird
        in der Regel auf die jeweilige Recorder-Applikation zurückgegriffen.
        
        HINWEIS: Die angegebene Datei wird überschrieben.
        
        Parameter:
            --- keine ---
        """
        androide.startInteractiveVideoRecording(self.datei.nennePfad())

